{ ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../../configuration/hetzner-cloud

      ./mailcow.nix
    ];

  boot.loader.grub.enable = true;
  boot.loader.grub.version = 2;
  boot.loader.grub.device = "/dev/sda";

  networking.hostName = "mail-2";

  networking.interfaces.ens3.ipv6.addresses = [ { address = "2a01:4f8:1c1c:9577::1"; prefixLength = 64; } ];
  networking.interfaces.ens3.ipv4.addresses = [ { address = "5.75.187.112"; prefixLength = 32; } ];

  system.stateVersion = "22.11";
}

